using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace ModuleB
{
    public partial class Pane3 
	{
		public Pane3()
		{
			InitializeComponent();
            Thread.SpinWait(100000000);
            this.Loaded += Pane3_Loaded;
		}

        private void Pane3_Loaded(object sender, RoutedEventArgs e)
        {
            this.Loaded -= Pane3_Loaded;
            if (this.DataContext!= null)
            {
                ((ViewTesterVm)DataContext).ActiveView = this;
            }
        }
    }
}
